#
# spec file for package unarj (Version 2.43)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm

Name:         unarj
License:      Other License(s), see package
Group:        Productivity/Archiving/Compression
Autoreqprov:  on
Version:      2.43
Release:      658
Summary:      Pack program
Source:       unarj-%{version}.tar.gz
Patch1:       unarj-%{version}.dif
Patch2:       unarj-%{version}-subdir.patch
Patch3:       unarj-%{version}-time.patch
Patch4:       %{name}-%{version}-overflow.diff
Patch5:       %{name}-%{version}-path.diff
Patch6:       %{name}-%{version}-notice.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Allows for unpacking of .arj files, which are widely spread in the DOS
world. It is included for compatibility reasons to extract packages
from DOS. It should not be used for compressing packages under Linux.
Use gzip which is the standard, instead.



Authors:
--------
    Robert Jung <robjung@world.std.com>

%prep
%setup
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch5
%patch6

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -s unarj $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc readme.doc technote.doc unarj.doc
/usr/bin/unarj

%changelog -n unarj
* Fri Nov 26 2004 - mjancar@suse.cz
- inform about our fixes in the printed notice (#48553)
* Mon Nov 22 2004 - mjancar@suse.cz
- fix buffer overflow and tree traversal (#47184)
* Wed Oct 02 2002 - jderfina@suse.cz
- Added subdirectory creation for the x command.
- Fixed wrong time handling when daylight saving time.
- Fixed date handling for year 2000 (it is leap year).
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri Mar 24 2000 - bubnikv@suse.cz
- added buildroot
* Fri Oct 22 1999 - freitag@suse.de
- update to verison 2.43
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 02 1997 - rj@suse.de
- new package
